-- 数据对比方案索引脚本
EXEC P_ALTERPK 'PK_T_RICC_DATACOMPARE_PLAN', 'T_RICC_DATACOMPARE_PLAN', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_PLAN_FNUMBER') CREATE INDEX IDX_RICC_DATACOMPARE_PLAN_FNUMBER ON T_RICC_DATACOMPARE_PLAN ( FNUMBER );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_PLAN_FNAME') CREATE INDEX IDX_RICC_DATACOMPARE_PLAN_FNAME ON T_RICC_DATACOMPARE_PLAN ( FNAME );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_PLAN_FCONFIGITEM') CREATE INDEX IDX_RICC_DATACOMPARE_PLAN_FCONFIGITEM ON T_RICC_DATACOMPARE_PLAN ( FCONFIGITEM );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_PLAN_FCREATETIME') CREATE INDEX IDX_RICC_DATACOMPARE_PLAN_FCREATETIME ON T_RICC_DATACOMPARE_PLAN ( FCREATETIME );

-- 多语言表索引脚本
EXEC P_ALTERPK 'PK_T_RICC_DATACOMPARE_PLAN_L', 'T_RICC_DATACOMPARE_PLAN_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_PLAN_L_FID') CREATE INDEX IDX_RICC_DATACOMPARE_PLAN_L_FID ON T_RICC_DATACOMPARE_PLAN_L ( FID ,FLOCALEID );


-- 数据对比报告索引脚本
EXEC P_ALTERPK 'PK_T_RICC_DATACOMPARE_RPT', 'T_RICC_DATACOMPARE_RPT', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_RPT_FBILLNO') CREATE INDEX IDX_RICC_DATACOMPARE_RPT_FBILLNO ON T_RICC_DATACOMPARE_RPT ( FBILLNO );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_RPT_FDATACOMPAREPLAN') CREATE INDEX IDX_RICC_DATACOMPARE_RPT_FDATACOMPAREPLAN ON T_RICC_DATACOMPARE_RPT ( FDATACOMPAREPLAN );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_RPT_FCONFIGITEM') CREATE INDEX IDX_RICC_DATACOMPARE_RPT_FCONFIGITEM ON T_RICC_DATACOMPARE_RPT ( FCONFIGITEM );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_RPT_FCREATETIME') CREATE INDEX IDX_RICC_DATACOMPARE_RPT_FCREATETIME ON T_RICC_DATACOMPARE_RPT ( FCREATETIME );


-- 单据体
EXEC P_ALTERPK 'PK_T_RICC_DATACOMPARE_ENTRY', 'T_RICC_DATACOMPARE_ENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_ENTRY_FID') CREATE INDEX IDX_RICC_DATACOMPARE_ENTRY_FID ON T_RICC_DATACOMPARE_ENTRY ( FID );

-- 子单据体
EXEC P_ALTERPK 'PK_T_RICC_DATACOMPARE_SENTRY', 'T_RICC_DATACOMPARE_SENTRY', 'FDETAILID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATACOMPARE_SENTRY_FENTRYID') CREATE INDEX IDX_RICC_DATACOMPARE_SENTRY_FENTRYID ON T_RICC_DATACOMPARE_SENTRY ( FENTRYID );