--批量打包方案 建表脚本                                                        
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_PACKSCHEME')
 CREATE TABLE T_RICC_PACKSCHEME(
 FID BIGINT DEFAULT 0 NOT NULL,
 FNUMBER VARCHAR(30) NOT NULL DEFAULT ' ',
 FNAME NVARCHAR(50) NOT NULL DEFAULT ' ',
 FSTATUS CHAR(1) NOT NULL DEFAULT 'C',
 FCREATORID BIGINT NOT NULL DEFAULT 0,
 FMODIFIERID BIGINT NOT NULL DEFAULT 0,
 FENABLE CHAR(1) NOT NULL DEFAULT '1',
 FCREATETIME DATETIME,
 FMODIFYTIME DATETIME,
 FMASTERID BIGINT NOT NULL DEFAULT 0,
 FISPRESET CHAR(1) NOT NULL DEFAULT 0,
 FREMARKS NVARCHAR(500) NOT NULL DEFAULT ' '
 );

--单据体表                                                         
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_PACKSCHEMEENTRY')
 CREATE TABLE T_RICC_PACKSCHEMEENTRY(
 FID BIGINT NOT NULL DEFAULT 0,
 FSEQ INT NOT NULL DEFAULT 0,
 FENTRYID BIGINT NOT NULL DEFAULT 0,
 FITEM BIGINT NOT NULL DEFAULT 0,
 FDATASELECTION CHAR(1) NOT NULL DEFAULT 'A',
 FFILTERTERM NVARCHAR(2000) NOT NULL DEFAULT ' ',
 FEXPORTFILTERS NVARCHAR(255) NOT NULL DEFAULT ' ',
 FEXPORTFILTERS_TAG NCLOB NOT NULL DEFAULT ' ',
 FMUNUALSEL NVARCHAR(50) NOT NULL DEFAULT ' ',
 FMANUALSELECTDATA NVARCHAR(255) NOT NULL DEFAULT ' ',
 FMANUALSELECTDATA_TAG NCLOB NOT NULL DEFAULT ' ',
 FDATACHECKINFO NVARCHAR(255) NOT NULL DEFAULT ' ',
 FDATACHECKINFO_TAG NCLOB NOT NULL DEFAULT ' ',
 FENTRYREMARK NVARCHAR(500) NOT NULL DEFAULT ' '
 );
 
 
 -- 多语言表
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_PACKSCHEME_L') 
 CREATE TABLE T_RICC_PACKSCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);